blob: 7dc9286e7d56739470d2f07028f5b072204e7f1e (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
|
--- ./debian/shadowconfig.sh.orig 2001-05-29 23:20:22.000000000 -0700
+++ ./debian/shadowconfig.sh 2003-06-23 16:35:38.000000000 -0700
@@ -1,23 +1,28 @@
#!/bin/bash
-# turn shadow passwords on or off on a Debian system
+#
+# 'shadowconfig on' will turn shadow passwords on;
+# 'shadowconfig off' will turn shadow passwords off.
+#
+# shadowconfig will print an error message and exit with
+# a nonzero code if it finds anything awry. If that happens,
+# you should correct the error and run it again.
+#
+# Turning shadow passwords on when they are already on, or
+# off when they are already off, is harmless.
+#
+# Be aware that account expiration dates are only supported
+# by shadow passwords -- these dates will be lost when converting
+# from shadow to non-shadow passwords. If you need to save this
+# information, back up your /etc/shadow before turning off
+# shadow passwords.
+#
-set -e
-permfix () {
- [ -f $1 ] || return 0
- chown root:shadow $1
- chmod 2755 $1
-}
-export -f permfix
+set -e
shadowon () {
bash<<- EOF
set -e
-
- permfix /usr/X11R6/bin/xlock
- permfix /usr/X11R6/bin/xtrlock
- permfix /bin/vlock
-
pwck -q
grpck
pwconv
@@ -65,3 +70,4 @@
echo Usage: $0 on \| off
;;
esac
+
|